Name:		gnome-bluetooth
Version:	2.28.6
Release:	8%{?dist}
Summary:	Bluetooth graphical utilities

Group:		Applications/Communications
License:	GPLv2+
URL:		http://live.gnome.org/GnomeBluetooth
Source0:	http://download.gnome.org/sources/gnome-bluetooth/2.28/gnome-bluetooth-%{version}.tar.bz2
Source1:	61-gnome-bluetooth-rfkill.rules
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
ExcludeArch:	s390 s390x

BuildRequires:	gtk2-devel
BuildRequires:	GConf2-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	hal-devel
BuildRequires:	unique-devel
BuildRequires:	libnotify-devel
BuildRequires:	gnome-doc-utils

BuildRequires:	intltool desktop-file-utils gettext gtk-doc

Obsoletes:	bluez-pin
Provides:	dbus-bluez-pin-helper
Conflicts:	bluez-gnome <= 1.8
Obsoletes:	bluez-gnome <= 1.8

# Otherwise we might end up with mismatching version
Requires:	%{name}-libs = %{version}-%{release}
Requires:	gvfs-obexftp
Requires:	bluez >= 4.42
Requires:	obexd
Requires:	desktop-notification-daemon
Requires:	pulseaudio-module-bluetooth

Requires(post):		desktop-file-utils
Requires(postun):	desktop-file-utils

# updated translations
# https://bugzilla.redhat.com/show_bug.cgi?id=589198
Patch0: gnome-bluetooth-translations.patch

# Upstream patches
Patch1: 0001-Make-bluetooth_type_to_string-return-a-translated-st.patch
Patch2: 0001-Update-the-bluetooth-sendto-man-page.patch
Patch3: 0001-Fix-run-time-warning.patch
Patch4: 0001-Avoid-getting-killswitch-page-when-hard-blocked.patch
Patch9: 0001-Better-debug-for-killswitch-code.patch
Patch10: 0001-Even-better-killswitch-debugging.patch
Patch5: 0001-Try-to-merge-killswitch-changed-events.patch
Patch6: 0001-Fix-adapter-not-going-powered-when-coming-back-from-.patch
Patch7: 0001-Add-guards-to-BluetoothAgent-functions.patch
Patch8: 0001-Fix-compilation-warning-for-last-commit.patch
Patch11: 0001-Work-around-GTK-bug-not-showing-status-icon.patch
Patch12: 0002-Make-sure-the-icon-is-shown-hidden-when-killswitch-c.patch
Patch13: 0003-Make-sure-all-the-unblocked-adapters-are-powered.patch


%description
The gnome-bluetooth package contains graphical utilities to setup,
monitor and use Bluetooth devices.

%package libs
Summary:	GTK+ Bluetooth device selection widgets
Group:		System Environment/Libraries
License:	LGPLv2+

%description libs
This package contains libraries needed for applications that
want to display a Bluetooth device selection widget.

%package libs-devel
Summary:	Development files for %{name}-libs
Group:		Development/Libraries
License:	LGPLv2+
Requires:	%{name}-libs = %{version}-%{release}
Requires:	gtk-doc pkgconfig
Obsoletes:	gnome-bluetooth-devel < 2.27.1-4
Provides:	gnome-bluetooth-devel = %{version}

%description libs-devel
This package contains the libraries amd header files that are needed
for writing applications that require a Bluetooth device selection widget.

%prep
%setup -q -n gnome-bluetooth-%{version}
%patch0 -p1 -b .translations
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch9 -p1
%patch10 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1

%build
%configure --disable-desktop-update --disable-icon-update

# FIXME
# make %{?_smp_mflags}
make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/libgnome-bluetooth.la $RPM_BUILD_ROOT/%{_libdir}/gnome-bluetooth/plugins/*.la

desktop-file-install --vendor=""				\
	--delete-original					\
	--dir=$RPM_BUILD_ROOT%{_datadir}/applications		\
	$RPM_BUILD_ROOT%{_datadir}/applications/bluetooth-properties.desktop

desktop-file-install --vendor=""				\
	--delete-original					\
	--dir=$RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart/	\
	$RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart/bluetooth-applet.desktop

install -m0644 -D %{SOURCE1} $RPM_BUILD_ROOT/lib/udev/rules.d/61-gnome-bluetooth-rfkill.rules

# gnome-bluetooth2 is the name for the gettext domain,
# gnome-bluetooth is the name in the docs
%find_lang gnome-bluetooth2
%find_lang %{name} --with-gnome
cat %{name}.lang >> gnome-bluetooth2.lang

# save space by linking identical images in translated docs
helpdir=$RPM_BUILD_ROOT%{_datadir}/gnome/help/%{name}
for f in $helpdir/C/figures/*.png; do
  b="$(basename $f)"
  for d in $helpdir/*; do
    if [ -d "$d" -a "$d" != "$helpdir/C" ]; then
      g="$d/figures/$b"
      if [ -f "$g" ]; then
        if cmp -s $f $g; then
          rm "$g"; ln -s "../../C/figures/$b" "$g"
        fi
      fi
    fi
  done
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database -q
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule					\
	%{_sysconfdir}/gconf/schemas/bluetooth-manager.schemas		\
	>& /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	if [ -f %{_sysconfdir}/gconf/schemas/gnome-obex-server.schemas ] ; then
		gconftool-2 --makefile-uninstall-rule \
		%{_sysconfdir}/gconf/schemas/gnome-obex-server.schemas >/dev/null || :
	fi
	if [ -f %{_sysconfdir}/gconf/schemas/bluetooth-manager.schemas ] ; then
		gconftool-2 --makefile-uninstall-rule 				\
		%{_sysconfdir}/gconf/schemas/bluetooth-manager.schemas		\
		>& /dev/null || :
	fi
fi

%preun
if [ "$1" -eq 0 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	if [ -f %{_sysconfdir}/gconf/schemas/gnome-obex-server.schemas ] ; then
		gconftool-2 --makefile-uninstall-rule \
		%{_sysconfdir}/gconf/schemas/gnome-obex-server.schemas > /dev/null || :
	fi
	if [ -f %{_sysconfdir}/gconf/schemas/bluetooth-manager.schemas ] ; then
		gconftool-2 --makefile-uninstall-rule 				\
		%{_sysconfdir}/gconf/schemas/bluetooth-manager.schemas		\
		>& /dev/null || :
	fi
fi

%postun
update-desktop-database -q
if [ $1 -eq 0 ] ; then
	touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%post libs
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%posttrans libs
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%postun libs
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
	touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%files -f gnome-bluetooth2.lang
%defattr(-,root,root,-)
%doc README NEWS COPYING
%{_sysconfdir}/gconf/schemas/bluetooth-manager.schemas
%{_sysconfdir}/xdg/autostart/bluetooth-applet.desktop
%{_bindir}/bluetooth-*
%{_libdir}/gnome-bluetooth/
%{_datadir}/applications/*.desktop
%{_datadir}/gnome-bluetooth/
%{_mandir}/man1/*
/lib/udev/rules.d/61-gnome-bluetooth-rfkill.rules

%files libs
%defattr(-,root,root,-)
%doc COPYING.LIB
%{_libdir}/libgnome-bluetooth.so.*
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/icons/hicolor/*/status/*

%files libs-devel
%defattr(-,root,root,-)
%{_includedir}/gnome-bluetooth/
%{_libdir}/libgnome-bluetooth.so
%{_libdir}/pkgconfig/gnome-bluetooth-1.0.pc
%{_datadir}/gtk-doc/html/gnome-bluetooth/


%changelog

